#!/usr/bin/env fslpython
# CompareOutlierNStdevMaps.py - script for comparing two .eddy_outlier_n_stdev_map files.
#
"""
Usage:
CompareOutlierNStdevMaps.py 'test .eddy_outlier_n_stdev_map' 'ref .eddy_outlier_n_stdev_map' max_allowed_max_relative_z_score_diff_for_z>1 max_allowed_mean_relative_z_score_diff_for_z>1 max_allowed_max_relative_z_score_diff_for_z>2 max_allowed_mean_relative_z_score_diff_for_z>2
or 
CompareOutlierNStdevMaps.py 'test .eddy_outlier_n_stdev_map' 'ref .eddy_outlier_n_stdev_map' max_allowed_max_relative_z_score_diff_for_z>1 max_allowed_mean_relative_z_score_diff_for_z>1 max_allowed_max_relative_z_score_diff_for_z>2 max_allowed_mean_relative_z_score_diff_for_z>2 number_of_slices_in_data first_slice_to_check last_slice_to_check
"""

from __future__ import print_function # I have no words...

import sys
import CompareTextOutputDef as ct

if __name__ == '__main__':
    try:
        if len(sys.argv) == 1:
            print(__doc__)
            are_the_same = false
        if len(sys.argv) == 7:
            are_the_same = ct.OutlierNStdevMapsAreTheSame(sys.argv[1],sys.argv[2],float(sys.argv[3]),float(sys.argv[4]),float(sys.argv[5]),float(sys.argv[6]))
        elif len(sys.argv) == 10:
            are_the_same = ct.OutlierNStdevMapsAreTheSame(sys.argv[1],sys.argv[2],float(sys.argv[3]),float(sys.argv[4]),float(sys.argv[5]),float(sys.argv[6]),int(sys.argv[7]),int(sys.argv[8]),int(sys.argv[9]))
        else:
            print('CompareOutlierNStdevMaps: Invalid number of input arguments: {}'.format(len(sys.argv)-1),file=sys.stderr)
        if are_the_same == True:
            exit(0)
        else:
            exit(1)
    except Exception as e:
        print('CompareOutlierNStdevMaps: Unknown error: {}'.format(e.args[0]),file=sys.stderr)
        exit(1)

    print('CompareOutlierNStdevMaps: Unknown error',file=sys.stderr)
    exit(1)

